2 Replies Latest reply: Feb 11, 2014 12:17 PM by user734086 RSS

Oracle Tuxedo Application Runtime for CICS and Batch - Supported Plataforms

CrisFreitas Newbie
Currently Being Moderated

Hi,

 

We have to install Tuxedo Application Runtime for CICS and Batch on a AIX 7.1 with Oracle Tuxedo 11.1.1.2.

 

We have CA Gen 8, that is compatible with  Oracle Tuxedo 11.1.1.2.

 

Which version/release should we install according to recommended supported platforms?

 

Thank you!

 

Regards,

CF

  • 1. Re: Oracle Tuxedo Application Runtime for CICS and Batch - Supported Plataforms
    user734086 Newbie
    Currently Being Moderated

    Chris,

        the version of Tuxedo Application Runtime for CICS and Batch that's compatible with Tuxedo 11.x is 11.1.1.3.0.  However, this version of ART is only certified for AIX 6.x.  In ART 12.1.1 we have added AIX 7.x certification, but this version of ART requires Tuxedo 12.1.1 as the base.  Can you provide some details on your project and the interaction between CA Gen and the components you expect to use under ART for CICS and Batch?  It is possible to run Tuxedo 11g and 12c as two separate domains on the same machine and integrate the two using domain gateway.  If your can provide some details on the applications and their interactions, we may be able to see if it is possible to leverage multiple domains in such a configuration.  You can reach me directly at mark.rakhmilevich@oracle.com.

     

    Regards,

       Mark

  • 2. Re: Oracle Tuxedo Application Runtime for CICS and Batch - Supported Plataforms
    user734086 Newbie
    Currently Being Moderated

    Christina,

      I saw a related question about using IBM AIX COBOL compiler with Tuxedo ART Workbench.  While you may well be able to compile the migrated COBOL code with this compiler, if it's compatible with Micro Focus COBOL, the problem going to be running the CICS and Batch runtime on Tuxedo, which has components that are built with Micro Focus or COBOL-IT EE compilers (you can select which flavor to use at install time) and require Micro Focus or COBOL-IT EE license to execute. 

     

      We do review other compilers and consider adding them to our certification plans based on business justification.  You can reach out to your Oracle support contact or account representative to discuss this requirement, or contact me at mark.rakhmilevich@oracle.com.

     

    Regards,

       Mark

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points